Index: typo3/sysext/install/mod/class.tx_install.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install.php	(revision 7289)
+++ typo3/sysext/install/mod/class.tx_install.php	(working copy)
@@ -2753,24 +4465,86 @@
 		$im_path_lzw = $GLOBALS['TYPO3_CONF_VARS']['GFX']['im_path_lzw'];
 		$im_path_lzw_version = $this->config_array['im_versions'][$im_path_lzw]['convert'];
 		$msg = '
-		ImageMagick enabled: <strong>'.$GLOBALS['TYPO3_CONF_VARS']['GFX']['im'].'</strong>
-		ImageMagick path: <strong>'.$im_path.'</strong> ('.$im_path_version.')
-		ImageMagick path/LZW: <strong>'.$im_path_lzw.'</strong>  ('.$im_path_lzw_version.')
-		Version 5/GraphicsMagick flag: <strong>'.$GLOBALS['TYPO3_CONF_VARS']['GFX']['im_version_5'].'</strong>
-
-		GDLib enabled: <strong>'.$GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib'].'</strong>
-		GDLib using PNG: <strong>'.$GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib_png'].'</strong>
-		GDLib 2 enabled: <strong>'.$GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib_2'].'</strong>
-		IM5 effects enabled: <strong>'.$GLOBALS['TYPO3_CONF_VARS']['GFX']['im_v5effects'].'</strong> (Blurring/Sharpening with IM 5+)
-		Freetype DPI: <strong>'.$GLOBALS['TYPO3_CONF_VARS']['GFX']['TTFdpi'].'</strong> (Should be 96 for Freetype 2)
-		Mask invert: <strong>'.$GLOBALS['TYPO3_CONF_VARS']['GFX']['im_imvMaskState'].'</strong> (Should be set for some IM versions approx. 5.4+)
-
-		File Formats: <strong>'.$GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'].'</strong>
+			<dl id="imageProcessingIm">
+				<dt>
+					ImageMagick enabled:
+				</dt>
+				<dd>
+					' . $GLOBALS['TYPO3_CONF_VARS']['GFX']['im'] . '
+				</dd>
+				<dt>
+					ImageMagick path:
+				</dt>
+				<dd>
+					' . $im_path . ' <span>(' . $im_path_version . ')</span>
+				</dd>
+				<dt>
+					ImageMagick path/LZW:
+				</dt>
+				<dd>
+					' . $im_path_lzw . ' <span>(' . $im_path_lzw_version . ')</span>
+				</dd>
+				<dt>
+					Version 5/GraphicsMagick flag:
+				</dt>
+				<dd>
+					' . ($GLOBALS['TYPO3_CONF_VARS']['GFX']['im_version_5'] ? $GLOBALS['TYPO3_CONF_VARS']['GFX']['im_version_5'] : '&nbsp;') . '
+				</dd>
+			</dl>
+			<dl id="imageProcessingOther">
+				<dt>
+					GDLib enabled:
+				</dt>
+				<dd>
+					' . ($GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib'] ? $GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib'] : '&nbsp;') . '
+				</dd>
+				<dt>
+					GDLib using PNG:
+				</dt>
+				<dd>
+					' . ($GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib_png'] ? $GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib_png'] : '&nbsp;') . '
+				</dd>
+				<dt>
+					GDLib 2 enabled:
+				</dt>
+				<dd>
+					' . ($GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib_2'] ? $GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib_2'] : '&nbsp;') . '
+				</dd>
+				<dt>
+					IM5 effects enabled:
+				</dt>
+				<dd>
+					' . $GLOBALS['TYPO3_CONF_VARS']['GFX']['im_v5effects'] . '
+					<span>(Blurring/Sharpening with IM 5+)</span>
+				</dd>
+				<dt>
+					Freetype DPI:
+				</dt>
+				<dd>
+					' . $GLOBALS['TYPO3_CONF_VARS']['GFX']['TTFdpi'] . '
+					<span>(Should be 96 for Freetype 2)</span>
+				</dd>
+				<dt>
+					Mask invert:
+				</dt>
+				<dd>
+					' . $GLOBALS['TYPO3_CONF_VARS']['GFX']['im_imvMaskState'] . '
+					<span>(Should be set for some IM versions approx. 5.4+)</span>
+				</dd>
+			</dl>
+			<dl id="imageProcessingFileFormats">
+				<dt>
+					File Formats:
+				</dt>
+				<dd>
+					' . $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'] . '
+				</dd>
+			</dl>
 		';
 
 			// Various checks to detect IM/GM version mismatches
 		$mismatch=false;
-		switch (strtolower($GLOBALS['TYPO3_CONF_VARS']['GFX']['im_version_5']))	{
+		switch (strtolower($GLOBALS['TYPO3_CONF_VARS']['GFX']['im_version_5'])) {
 			case 'gm':
 				if (doubleval($im_path_version)>=2)	$mismatch=true;
 			break;
@@ -2782,46 +4556,61 @@
 			break;
 		}
 
-		if ($mismatch)	{
-			$msg.= 'Warning: Mismatch between the version of ImageMagick'.
-					' ('.$im_path_version.') and the configuration of '.
-					'[GFX][im_version_5] ('.$GLOBALS['TYPO3_CONF_VARS']['GFX']['im_version_5'].')';
+		if ($mismatch) {
+			$msg .= '
+				<p>
+					Warning: Mismatch between the version of ImageMagick' .
+					' (' . $im_path_version.') and the configuration of ' .
+					'[GFX][im_version_5] (' . $GLOBALS['TYPO3_CONF_VARS']['GFX']['im_version_5'] . ')
+				</p>
+			';
 			$etype=2;
 		} else $etype=1;
 
-		if ($GLOBALS['TYPO3_CONF_VARS']['GFX']['im_version_5']=='gm')	{
+		if ($GLOBALS['TYPO3_CONF_VARS']['GFX']['im_version_5']=='gm') {
 			$msg = str_replace('ImageMagick','GraphicsMagick',$msg);
 		}
 
-		$this->message('Image Processing','Current configuration',$msg,$etype);
+		$this->message('Image Processing', 'Current configuration',$msg,$etype);
 
 
 
 
-		if (!$GLOBALS['TYPO3_CONF_VARS']['GFX']['image_processing'])	{
-			$this->message('Image Processing','Image Processing disabled!',"
-				Image Processing is disabled by the config flag <nobr>[GFX][image_processing]</nobr> set to false (zero)
-			",2);
+		if (!$GLOBALS['TYPO3_CONF_VARS']['GFX']['image_processing']) {
+			$this->message('Image Processing', 'Image Processing disabled!', '
+				<p>
+					Image Processing is disabled by the config flag
+					[GFX][image_processing] set to false (zero)
+				</p>
+			', 2);
 			$this->output($this->outputWrapper($this->printAll()));
 			return;
 		}
-		if (!$this->config_array['dir_typo3temp'])	{
-			$this->message('Image Processing','typo3temp/ not writable!',"
-				You must make typo3temp/ write enabled before you can proceed with this test.
-			",2);
+		if (!$this->config_array['dir_typo3temp']) {
+			$this->message('Image Processing', 'typo3temp/ not writable!', '
+				<p>
+					You must make typo3temp/ write enabled before you can
+					proceed with this test.
+				</p>
+			', 2);
 			$this->output($this->outputWrapper($this->printAll()));
 			return;
 		}
 
 
 
-		$msg='<a name="testmenu"></a>Click each of these links in turn to test a topic. <strong>Please be aware that each test may take several seconds!</strong>:
-
-		'.$this->imagemenu();
+		$msg = '
+			<p>
+				<a id="testmenu"></a>
+				Click each of these links in turn to test a topic.
+				<strong>
+					Please be aware that each test may take several seconds!
+				</strong>:
+			</p>
+		' . $this->imagemenu();
 		$this->message('Image Processing','Testmenu',$msg,'');
 
 
-		$this->messageFunc_nl2br=0;
 		$parseStart = t3lib_div::milliseconds();
 		$imageProc = t3lib_div::makeInstance('t3lib_stdGraphic');
 		$imageProc->init();
@@ -2836,27 +4625,31 @@
 		// Very temporary!!!
 		$imageProc->dontUnlinkTempFiles=0;
 
-
 		$imActive = ($this->config_array['im'] && $im_path);
 		$gdActive = ($this->config_array['gd'] && $GLOBALS['TYPO3_CONF_VARS']['GFX']['gdlib']);
 
-		switch($this->INSTALL['images_type'])	{
+		switch($this->INSTALL['images_type']) {
 			case 'read':
 				$refParseTime='5600';	// 4.2.9
 				$refParseTime='3300';	// 5.2.3
 				$headCode = 'Reading and converting images';
-				$this->message($headCode,'Supported file formats',"
-				This verifies that your ImageMagick installation is able to read the nine default file formats; JPG, GIF, PNG, TIF, BMP, PCX, TGA, PDF, AI.
-				The tool 'identify' will be used to read the pixeldimensions of non-web formats.
-				The tool 'convert' is used to read the image and write a temporary JPG-file
-				");
+				$this->message($headCode, 'Supported file formats', '
+					<p>
+						This verifies that your ImageMagick installation is able
+						to read the nine default file formats; JPG, GIF, PNG,
+						TIF, BMP, PCX, TGA, PDF, AI. The tool \'identify\' will
+						be used to read the  pixeldimensions of non-web formats.
+						The tool \'convert\' is used to read the image and write
+						a temporary JPG-file
+					</p>
+				');
 
-				if ($imActive)	{
+				if ($imActive) {
 						// Reading formats - writing JPG
 
 					$extArr = explode(',','jpg,gif,png,tif,bmp,pcx,tga');
-					while(list(,$ext)=each($extArr))	{
-						if ($this->isExtensionEnabled($ext, $headCode, "Read ".strtoupper($ext)))	{
+					foreach ($extArr as $ext) {
+						if ($this->isExtensionEnabled($ext, $headCode, "Read ".strtoupper($ext))) {
 							$imageProc->IM_commands=array();
 							$theFile = t3lib_extMgm::extPath('install').'imgs/jesus.'.$ext;
 							if (!@is_file($theFile))	die('Error: '.$theFile.' was not a file');
@@ -2868,7 +4661,7 @@
 						}
 					}
 
-					if ($this->isExtensionEnabled('pdf', $headCode, 'Read PDF'))	{
+					if ($this->isExtensionEnabled('pdf', $headCode, 'Read PDF')) {
 						$imageProc->IM_commands=array();
 						$theFile = t3lib_extMgm::extPath('install').'imgs/pdf_from_imagemagick.pdf';
 						if (!@is_file($theFile))	die('Error: '.$theFile.' was not a file');
@@ -2878,7 +4671,7 @@
 						$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands);
 						$this->message($headCode,'Read PDF',$result[0],$result[1]);
 					}
-					if ($this->isExtensionEnabled('ai', $headCode, 'Read AI'))	{
+					if ($this->isExtensionEnabled('ai', $headCode, 'Read AI')) {
 						$imageProc->IM_commands=array();
 						$theFile = t3lib_extMgm::extPath('install').'imgs/typo3logotype.ai';
 						if (!@is_file($theFile))	die('Error: '.$theFile.' was not a file');
@@ -2889,10 +4682,15 @@
 						$this->message($headCode,'Read AI',$result[0],$result[1]);
 					}
 				} else {
-					$this->message($headCode,'Test skipped',"
-					Use of ImageMagick has been disabled in the configuration.
-					Refer to section 'Basic Configuration' to change or review you configuration settings
-					",2);
+					$this->message($headCode, 'Test skipped', '
+						<p>
+							Use of ImageMagick has been disabled in the
+							configuration.
+							<br />
+							Refer to section \'Basic Configuration\' to change
+							or review you configuration settings
+						</p>
+					', 2);
 				}
 			break;
 			case 'write':
@@ -2900,12 +4698,17 @@
 
 					// Writingformats - writing JPG
 				$headCode = 'Writing images';
-				$this->message($headCode,'Writing GIF and PNG','
-				This verifies that ImageMagick is able to write GIF and PNG files.
-				The GIF-file is attempted compressed with LZW by the t3lib_div::gif_compress() function.
+				$this->message($headCode, 'Writing GIF and PNG', '
+					<p>
+						This verifies that ImageMagick is able to write GIF and
+						PNG files.
+						<br />
+						The GIF-file is attempted compressed with LZW by the
+						t3lib_div::gif_compress() function.
+					</p>
 				');
 
-				if ($imActive)	{
+				if ($imActive) {
 						// Writing GIF
 					$imageProc->IM_commands=array();
 					$theFile = t3lib_extMgm::extPath('install').'imgs/jesus.gif';
@@ -2913,7 +4716,7 @@
 
 					$imageProc->imageMagickConvert_forceFileNameBody='write_gif';
 					$fileInfo = $imageProc->imageMagickConvert($theFile,'gif',"",'',"",'',"",1);
-					if ($GLOBALS['TYPO3_CONF_VARS']['GFX']['gif_compress'])	{
+					if ($GLOBALS['TYPO3_CONF_VARS']['GFX']['gif_compress']) {
 						clearstatcache();
 						$prevSize=t3lib_div::formatSize(@filesize($fileInfo[3]));
 						$returnCode = t3lib_div::gif_compress($fileInfo[3],'');
@@ -2934,10 +4737,15 @@
 					$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands);
 					$this->message($headCode,'Write PNG',$result[0],$result[1]);
 				} else {
-					$this->message($headCode,'Test skipped',"
-					Use of ImageMagick has been disabled in the configuration.
-					Refer to section 'Basic Configuration' to change or review you configuration settings
-					",2);
+					$this->message($headCode, 'Test skipped', '
+						<p>
+							Use of ImageMagick has been disabled in the
+							configuration.
+							<br />
+							Refer to section \'Basic Configuration\' to change
+							or review you configuration settings
+						</p>
+					', 2);
 				}
 			break;
 			case 'scaling':
@@ -2945,11 +4753,14 @@
 
 					// Scaling
 				$headCode = 'Scaling images';
-				$this->message($headCode,'Scaling transparent images','
-				This shows how ImageMagick reacts when scaling transparent GIF and PNG files.
+				$this->message($headCode, 'Scaling transparent images', '
+					<p>
+						This shows how ImageMagick reacts when scaling
+						transparent GIF and PNG files.
+					</p>
 				');
 
-				if ($imActive)	{
+				if ($imActive) {
 						// Scaling transparent image
 					$imageProc->IM_commands=array();
 					$theFile = t3lib_extMgm::extPath('install').'imgs/jesus2_transp.gif';
@@ -2957,7 +4768,7 @@
 
 					$imageProc->imageMagickConvert_forceFileNameBody='scale_gif';
 					$fileInfo = $imageProc->imageMagickConvert($theFile,'gif',"150",'',"",'',"",1);
-					if ($GLOBALS['TYPO3_CONF_VARS']['GFX']['gif_compress'])	{
+					if ($GLOBALS['TYPO3_CONF_VARS']['GFX']['gif_compress']) {
 						clearstatcache();
 						$prevSize=t3lib_div::formatSize(@filesize($fileInfo[3]));
 						$returnCode = t3lib_div::gif_compress($fileInfo[3],'');
@@ -2985,10 +4796,15 @@
 					$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands);
 					$this->message($headCode,'GIF to JPG, 150 pixels wide',$result[0],$result[1]);
 				} else {
-					$this->message($headCode,'Test skipped',"
-					Use of ImageMagick has been disabled in the configuration.
-					Refer to section 'Basic Configuration' to change or review you configuration settings
-					",2);
+					$this->message($headCode, 'Test skipped', '
+						<p>
+							Use of ImageMagick has been disabled in the
+							configuration.
+							<br />
+							Refer to section \'Basic Configuration\' to change
+							or review you configuration settings
+						</p>
+					', 2);
 				}
 			break;
 			case 'combining':
@@ -2996,12 +4812,19 @@
 				$refParseTime='250';	// 5.2.3
 									// Combine
 				$headCode = 'Combining images';
-				$this->message($headCode,'Combining images',"
-				This verifies that the ImageMagick tool, 'combine'/'composite', is able to combine two images through a grayscale mask.<br />
-				If the masking seems to work but inverted, that just means you'll have to make sure the invert flag is set (some combination of im_negate_mask/im_imvMaskState)
-				");
+				$this->message($headCode, 'Combining images', '
+					<p>
+						This verifies that the ImageMagick tool,
+						\'combine\'/\'composite\', is able to combine two images
+						through a grayscale mask.
+						<br />
+						If the masking seems to work but inverted, that just
+						means you\'ll have to make sure the invert flag is set
+						(some combination of im_negate_mask/im_imvMaskState)
+					</p>
+				');
 
-				if ($imActive)	{
+				if ($imActive) {
 					$imageProc->IM_commands=array();
 					$input = t3lib_extMgm::extPath('install').'imgs/greenback.gif';
 					$overlay = t3lib_extMgm::extPath('install').'imgs/jesus.jpg';
@@ -3031,24 +4854,34 @@
 					$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands);
 					$this->message($headCode,'Combine using a JPG mask with graylevels',$result[0],$result[1]);
 				} else {
-					$this->message($headCode,'Test skipped',"
-					Use of ImageMagick has been disabled in the configuration.
-					Refer to section 'Basic Configuration' to change or review you configuration settings
-					",2);
+					$this->message($headCode, 'Test skipped', '
+						<p>
+							Use of ImageMagick has been disabled in the
+							configuration.
+							<br />
+							Refer to section \'Basic Configuration\' to change
+							or review you configuration settings
+						</p>
+					', 2);
 				}
 			break;
 			case 'gdlib':
-				$refParseTime='1800';	// GIF / 4.2.9 / LZW (5.2.3)
-				$refParseTime='2700';	// PNG / 4.2.9 / LZW (5.2.3)
-				$refParseTime='1600';	// GIF / 5.2.3 / LZW (5.2.3)
+					// GIF / 4.2.9 / LZW (5.2.3)
+				$refParseTime='1800';
+					// PNG / 4.2.9 / LZW (5.2.3)
+				$refParseTime='2700';
+					// GIF / 5.2.3 / LZW (5.2.3)
+				$refParseTime='1600';
 					// GDLibrary
 				$headCode = 'GDLib';
-				$this->message($headCode,'Testing GDLib','
-				This verifies that the GDLib installation works properly.
+				$this->message($headCode, 'Testing GDLib', '
+					<p>
+						This verifies that the GDLib installation works properly.
+					</p>
 				');
 
 
-				if ($gdActive)	{
+				if ($gdActive) {
 					// GD with box
 					$imageProc->IM_commands=array();
 					$im = $imageProc->imageCreate(170,136);
@@ -3067,7 +4900,7 @@
 					$this->message($headCode,'Create simple image',$result[0],$result[1]);
 
 
-					// GD from image with box
+						// GD from image with box
 					$imageProc->IM_commands=array();
 					$input = t3lib_extMgm::extPath('install').'imgs/jesus.'.$imageProc->gifExtension;
 						if (!@is_file($input))	die('Error: '.$input.' was not a file');
@@ -3085,7 +4918,7 @@
 					$this->message($headCode,'Create image from file',$result[0],$result[1]);
 
 
-					// GD with text
+						// GD with text
 					$imageProc->IM_commands=array();
 					$im = $imageProc->imageCreate(170,136);
 					$Bcolor = ImageColorAllocate ($im, 128,128,150);
@@ -3110,7 +4943,7 @@
 					$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands);
 					$this->message($headCode,'Render text with TrueType font',$result[0],$result[1]);
 
-					if ($imActive)	{
+					if ($imActive) {
 							// extension: GD with text, niceText
 						$conf['offset'] = '17,65';
 						$conf['niceText'] = 1;
@@ -3120,19 +4953,31 @@
 						$imageProc->ImageWrite($im,$output);
 						$fileInfo = $imageProc->getImageDimensions($output);
 						$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands, array("Note on 'niceText':","'niceText' is a concept that tries to improve the antialiasing of the rendered type by actually rendering the textstring in double size on a black/white mask, downscaling the mask and masking the text onto the image through this mask. This involves ImageMagick 'combine'/'composite' and 'convert'."));
-						$this->message($headCode,"Render text with TrueType font using 'niceText' option",
-							"(If the image has another background color than the image above (eg. dark background color with light text) then you will have to set TYPO3_CONF_VARS[GFX][im_imvMaskState]=1)<br /><br />".
-							$result[0],$result[1]);
+						$this->message($headCode, 'Render text with TrueType font using \'niceText\' option', '
+							<p>
+								(If the image has another background color than
+								the image above (eg. dark background color with
+								light text) then you will have to set
+								TYPO3_CONF_VARS[GFX][im_imvMaskState]=1)
+							</p>
+						' . $result[0], $result[1]);
 					} else {
-						$this->message($headCode,"Render text with TrueType font using 'niceText' option","
-						<strong>Test is skipped!</strong><br /><br />
-
-						Use of ImageMagick has been disabled in the configuration. ImageMagick is needed to generate text with the niceText option.
-						Refer to section 'Basic Configuration' to change or review you configuration settings
-						",2);
+						$this->message($headCode, 'Render text with TrueType font using \'niceText\' option', '
+							<p>
+								<strong>Test is skipped!</strong>
+							</p>
+							<p>
+								Use of ImageMagick has been disabled in the
+								configuration. ImageMagick is needed to generate
+								text with the niceText option.
+								<br />
+								Refer to section \'Basic Configuration\' to
+								change or review you configuration settings
+							</p>
+						', 2);
 					}
 
-					if ($imActive)	{
+					if ($imActive) {
 							// extension: GD with text, niceText AND shadow
 						$conf['offset'] = '17,90';
 						$conf['niceText'] = 1;
@@ -3148,35 +4993,93 @@
 						$output = $imageProc->tempPath.$imageProc->filenamePrefix.t3lib_div::shortMD5('GDwithText-niceText-shadow').'.'.$imageProc->gifExtension;
 						$imageProc->ImageWrite($im,$output);
 						$fileInfo = $imageProc->getImageDimensions($output);
-						$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands, array('Note on drop shadows:','Drop shadows are done by using ImageMagick to blur a mask through which the drop shadow is generated. The blurring of the mask only works in ImageMagick 4.2.9 and <i>not</i> ImageMagick 5 - which is why you may see a hard and not soft shadow.'));
-						$this->message($headCode,"Render 'niceText' with a shadow under",
-							"(This test makes sense only if the above test had a correct output. But if so, you may not see a soft dropshadow from the third text string as you should. In that case you are most likely using ImageMagick 5 and should set the flag TYPO3_CONF_VARS[GFX][im_v5effects]. However this may cost server performance!<br />Finally if you see no drop shadow at all or if the shadow is still not soft, then check if you are using GDlib2 and if so set TYPO3_CONF_VARS[GFX][gdlib_2]=1)<br /><br />".
-							$result[0],$result[1]);
+						$result = $this->displayTwinImage($fileInfo[3],$imageProc->IM_commands, array('Note on drop shadows:','Drop shadows are done by using ImageMagick to blur a mask through which the drop shadow is generated. The blurring of the mask only works in ImageMagick 4.2.9 and <em>not</em> ImageMagick 5 - which is why you may see a hard and not soft shadow.'));
+						$this->message($headCode, 'Render \'niceText\' with a shadow under', '
+							<p>
+								(This test makes sense only if the above test
+								had a correct output. But if so, you may not see
+								a soft dropshadow from the third text string as
+								you should. In that case you are most likely
+								using ImageMagick 5 and should set the flag
+								TYPO3_CONF_VARS[GFX][im_v5effects]. However this
+								may cost server performance!
+								<br />
+								Finally if you see no drop shadow at all or if
+								the shadow is still not soft, then check if you
+								are using GDlib2 and if so set
+								TYPO3_CONF_VARS[GFX][gdlib_2]=1)
+							</p>
+						' . $result[0], $result[1]);
 					} else {
-						$this->message($headCode,"Render 'niceText' with a shadow under","
-						<strong>Test is skipped!</strong><br /><br />
-
-						Use of ImageMagick has been disabled in the configuration. ImageMagick is needed to generate shadows.
-						Refer to section 'Basic Configuration' to change or review you configuration settings
-						",2);
+						$this->message($headCode, 'Render \'niceText\' with a shadow under', '
+							<p>
+								<strong>Test is skipped!</strong>
+							</p>
+							<p>
+								Use of ImageMagick has been disabled in the
+								configuration. ImageMagick is needed to generate
+								shadows.
+								<br />
+								Refer to section \'Basic Configuration\' to
+								change or review you configuration settings
+							</p>
+						', 2);
 					}
 
-					if ($imageProc->gifExtension=='gif')	{
+					if ($imageProc->gifExtension=='gif') {
 						$buffer=20;
 						$assess = "This assessment is based on the filesize from 'Create image from file' test, which were ".$GDWithBox_filesize.' bytes';
 						$goodNews = "If the image was LZW compressed you would expect to have a size of less than 9000 bytes. If you open the image with Photoshop and saves it from Photoshop, you'll a filesize like that.<br />The good news is (hopefully) that your [GFX][im_path_lzw] path is correctly set so the gif_compress() function will take care of the compression for you!";
-						if ($GDWithBox_filesize<8784+$buffer)	{
-							$msg="<strong>Your GDLib appears to have LZW compression!</strong><br />
-								This assessment is based on the filesize from 'Create image from file' test, which were ".$GDWithBox_filesize." bytes.<br />
-								This is a real advantage for you because you don't need to use ImageMagick for LZW compressing. In order to make sure that GDLib is used, <strong>please set the config option [GFX][im_path_lzw] to an empty string!</strong><br />
-								When you disable the use of ImageMagick for LZW compressing, you'll see that the gif_compress() function has a return code of 'GD' (for GDLib) instead of 'IM' (for ImageMagick)
-								";
-						} elseif ($GDWithBox_filesize>19000)	{
-							$msg='<strong>Your GDLib appears to have no compression at all!</strong><br />
-								'.$assess.'<br />'.$goodNews;
+						if ($GDWithBox_filesize<8784+$buffer) {
+							$msg = '
+								<p>
+									<strong>
+										Your GDLib appears to have LZW compression!
+									</strong>
+									<br />
+									This assessment is based on the filesize
+									from \'Create image from file\' test, which
+									were ' . $GDWithBox_filesize . ' bytes.
+									<br />
+									This is a real advantage for you because you
+									don\'t need to use ImageMagick for LZW
+									compressing. In order to make sure that
+									GDLib is used,
+									<strong>
+										please set the config option
+										[GFX][im_path_lzw] to an empty string!
+									</strong>
+									<br />
+									When you disable the use of ImageMagick for
+									LZW compressing, you\'ll see that the
+									gif_compress() function has a return code of
+									\'GD\' (for GDLib) instead of \'IM\' (for
+									ImageMagick)
+								</p>
+							';
+						} elseif ($GDWithBox_filesize>19000) {
+							$msg = '
+								<p>
+									<strong>
+										Your GDLib appears to have no
+										compression at all!
+									</strong>
+									<br />
+									' . $assess . '
+									<br />
+									' . $goodNews . '
+								</p>
+							';
 						} else {
-							$msg='Your GDLib appears to have RLE compression<br />
-								'.$assess.'<br />'.$goodNews;
+							$msg = '
+								<p>
+									Your GDLib appears to have RLE compression
+									<br />
+									' . $assess . '
+									<br />
+									' . $goodNews . '
+								</p>
+							';
 						}
 						$this->message($headCode,'GIF compressing in GDLib',"
 						".$msg."
